Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ActionSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Action. More...

`#include <xfc/gtk/actionsignals.hh>`

Inheritance diagram for Xfc::Gtk::ActionSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_activate ()
    Called when the action is activated.

## Protected Member Functions

Constructors

- ActionSignals (Action *action)
    Construct a new ActionSignals object.
- virtual ~ActionSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Action.

## Constructor & Destructor Documentation

Xfc::Gtk::ActionSignals::ActionSignals | ( | Action * | action | ) | `[protected]`

Construct a new ActionSignals object.

Parameters:

  | action | An Action object inheriting the ActionSignals implementation.

The documentation for this class was generated from the following file:

- actionsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3